import { Type } from "@angular/core";
import { IParameter } from "./types";
import { InjectionFactory } from "@testdozer/ng-injector-types/public_api";
/**
 * Provides dependencies metadata of inspected angular class.
 *
 * @param type The inspected class
 */
export declare class Reflector implements InjectionFactory {
    constructor();
    private static parameters;
    private static zipTypesAndAnnotations;
    factory(): <T>(type: Type<T>) => IParameter[];
    private extractToken;
    private createDependency;
    private stringify;
}
